"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const display_1 = require("./application/display");
electron_1.app.on('ready', () => {
    const isInDebugMode = process.env.DEBUG === 'true' || process.env.DEBUG === '1';
    const window = new electron_1.BrowserWindow({
        width: 400 + (isInDebugMode ? 500 : 0),
        height: 680 + (isInDebugMode ? 400 : 0),
        backgroundColor: '#00080f',
        show: false
    });
    window.on('ready-to-show', () => {
        window.show();
        window.focus();
    });
    window.loadFile('src/html/login.html');
    if (isInDebugMode)
        window.webContents.toggleDevTools();
});
electron_1.app.on('before-quit', () => {
    console.log('App is quitting: Try to turn display on.');
    display_1.DisplayServiceFactory.getDisplayService().turnOn();
});
//# sourceMappingURL=main.js.map