"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const database_1 = require("../infrastructure/database");
const display_1 = require("../application/display");
const api_1 = require("../application/api");
const DisplayIdleWatcher_1 = require("../application/DisplayIdleWatcher");
exports.default = () => __awaiter(this, void 0, void 0, function* () {
    const database = database_1.DatabaseFactory.getDatabase();
    const displayIdleWatcher = new DisplayIdleWatcher_1.default(display_1.DisplayServiceFactory.getDisplayService(), api_1.APIFactory.getAlarmService());
    const data = yield database.getValueForKey('tokens');
    displayIdleWatcher.startWatching(data.accesskey);
});
//# sourceMappingURL=backgroundTask.js.map