import AuthenticationServiceInterface from '../public/interfaces/AuthenticationService'

export default class AuthenticationService implements AuthenticationServiceInterface {

  getAccesskey(username: string, password: string): Promise<string> {
    return new Promise<string>((resolve, reject) => {
      const request = new XMLHttpRequest()
      request.onload = () => {
        if (request.status !== 200) {
          reject('Login fehlgeschlagen: ' + request.responseText)
          return
        }
        let response = JSON.parse(request.responseText)
        if (response.success !== true) {
          reject('Login fehlgeschlagen: ' + request.responseText)
          return
        }
        response = response.data

        const accesskey: string = response.user.access_token
        if (!accesskey) {
          reject('Login fehlgeschlagen: ' + request.responseText)
          return
        }

        resolve(accesskey)
      }
      request.open('POST', 'https://www.divera247.com/api/v2/auth/login')
      request.setRequestHeader('Content-Type', 'application/json')
      request.send(JSON.stringify({
        Login: {
          username,
          password
        }
      }))
    })
  }

}
