import { type as getOsType } from 'os'

import DisplayService from '../interfaces/DisplayService'
import DisplayServiceLinux from '../../private/DisplayServiceLinux'
import DisplayServiceWindows from '../../private/DisplayServiceWindows'
import DisplayServiceMacOS from '../../private/DisplayServiceMacOS'

export default {

  getDisplayService(): DisplayService {
    switch (getOsType()) {
    case 'Darwin':
      return new DisplayServiceMacOS()
    case 'Linux':
      return new DisplayServiceLinux()
    case 'Windows_NT':
      return new DisplayServiceWindows()
    default:
      throw new Error('This operating system currently does\'nt support starting screensaver')
    }
  }

}
